<launch>

  <!-- Disable some of the common image_transport plugins, mostly to reduce the number of topics -->
  <!-- Do both older "compatibility" topic names and newer names -->

  <group ns="color/image_raw">
    <rosparam param="disable_pub_plugins">
      - 'image_transport/compressedDepth'
      - 'image_transport/theora'
    </rosparam>
  </group>

  <group ns="left/image_raw">
    <rosparam param="disable_pub_plugins">
      - 'image_transport/compressedDepth'
      - 'image_transport/theora'
    </rosparam>
  </group>

  <group ns="right/image_raw">
    <rosparam param="disable_pub_plugins">
      - 'image_transport/compressedDepth'
      - 'image_transport/theora'
    </rosparam>
  </group>

  <group ns="left/image_rect">
    <rosparam param="disable_pub_plugins">
      - 'image_transport/compressedDepth'
      - 'image_transport/theora'
    </rosparam>
  </group>

  <group ns="right/image_rect">
    <rosparam param="disable_pub_plugins">
      - 'image_transport/compressedDepth'
      - 'image_transport/theora'
    </rosparam>
  </group>

  <group ns="left/image_rect_color">
    <rosparam param="disable_pub_plugins">
      - 'image_transport/compressedDepth'
      - 'image_transport/theora'
    </rosparam>
  </group>

  <group ns="right/image_rect_color">
    <rosparam param="disable_pub_plugins">
      - 'image_transport/compressedDepth'
      - 'image_transport/theora'
    </rosparam>
  </group>

  <group ns="left/image_mono">
    <rosparam param="disable_pub_plugins">
      - 'image_transport/compressedDepth'
      - 'image_transport/theora'
    </rosparam>
  </group>

  <group ns="right/image_mono">
    <rosparam param="disable_pub_plugins">
      - 'image_transport/compressedDepth'
      - 'image_transport/theora'
    </rosparam>
  </group>


  <group ns="left/image_rect_mono">
    <rosparam param="disable_pub_plugins">
      - 'image_transport/compressedDepth'
      - 'image_transport/theora'
    </rosparam>
  </group>

  <group ns="right/image_rect_mono">
    <rosparam param="disable_pub_plugins">
      - 'image_transport/compressedDepth'
      - 'image_transport/theora'
    </rosparam>
  </group>


  <group ns="left/image_color">
    <rosparam param="disable_pub_plugins">
      - 'image_transport/compressedDepth'
      - 'image_transport/theora'
    </rosparam>
  </group>

  <group ns="right/image_color">
    <rosparam param="disable_pub_plugins">
      - 'image_transport/compressedDepth'
      - 'image_transport/theora'
    </rosparam>
  </group>

    <group ns="left/image_rect_color">
    <rosparam param="disable_pub_plugins">
      - 'image_transport/compressedDepth'
      - 'image_transport/theora'
    </rosparam>
  </group>

  <group ns="right/image_rect_color">
    <rosparam param="disable_pub_plugins">
      - 'image_transport/compressedDepth'
      - 'image_transport/theora'
    </rosparam>
  </group>

  <group ns="disparity/image">
    <rosparam param="disable_pub_plugins">
      - 'image_transport/compressedDepth'
      - 'image_transport/theora'
    </rosparam>
  </group>

</launch>
